- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# ObjectDescription< T > Class Template Reference

Search for all occurrences

## Detailed Description

### template<ObjectDescriptionType T>
class Phonon::ObjectDescription< T >

Provides a tuple of enduser visible name and description.

Some parts give the enduser choices, e.g. what source to capture audio from. These choices are described by the name and description methods of this class and identified with the id method. Subclasses then define additional information like which audio and video choices belong together.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 180 of file objectdescription.h.

`#include <Phonon/ObjectDescription>`

List of all members.

## Public Member Functions
bool | operator== (const ObjectDescription &otherDescription) const
| Returns `true` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `false`.
bool | operator!= (const ObjectDescription &otherDescription) const
| Returns `false` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `true`.
QString | name () const
| Returns the name of the capture source.
QString | description () const
| Returns a description of the capture source.
QVariant | property (const char *name) const
| Returns a named property.
QList< QByteArray > | propertyNames () const
| Returns all names that return valid data when property() is called.
bool | isValid () const
| Returns `true` if the Tuple is valid (index != -1); otherwise returns `false`.
int | index () const
| A unique identifier for this device/.
| ObjectDescription ()
| ObjectDescription (int index, const QHash< QByteArray, QVariant > &properties)
## Static Public Member Functions
static ObjectDescription< T > | fromIndex (int index)
| Returns a new description object that describes the device/effect/codec/...
## Protected Member Functions
| ObjectDescription (const QExplicitlySharedDataPointer< ObjectDescriptionData > &dd)
## Protected Attributes
QExplicitlySharedDataPointer < ObjectDescriptionData > | d
## Friends
class | ObjectDescriptionModel< T >

## Constructor & Destructor Documentation

ObjectDescription | ( |  | ) | `[inline]`

Definition at line 254 of file objectdescription.h.

    : d(new ObjectDescriptionData(0)) {}

ObjectDescription | ( | int | index,
|  | const QHash< QByteArray, QVariant > & | properties
| ) |  | `[inline]`

Definition at line 255 of file objectdescription.h.

    : d(new ObjectDescriptionData(index, properties)) {}

ObjectDescription | ( | const QExplicitlySharedDataPointer< ObjectDescriptionData > & | dd | ) | `[inline, protected]`

Definition at line 259 of file objectdescription.h.

    : d(dd) {}

## Member Function Documentation

static ObjectDescription<T> fromIndex | ( | int | index | ) | `[inline, static]`

Search for all occurrences

Returns a new description object that describes the device/effect/codec/...

with the given `index`.

Definition at line 187 of file objectdescription.h.

                                                                    { //krazy:exclude=inline
                return ObjectDescription<T>(QExplicitlySharedDataPointer<ObjectDescriptionData>(ObjectDescriptionData::fromIndex(T, index)));
            }

bool operator== | ( | const ObjectDescription< T > & | otherDescription | ) | const `[inline]`

Returns `true` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `false`.

Definition at line 195 of file objectdescription.h.

                                                                                    { //krazy:exclude=inline
                return *d == *otherDescription.d;
            }

bool operator!= | ( | const ObjectDescription< T > & | otherDescription | ) | const `[inline]`

Returns `false` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `true`.

Definition at line 203 of file objectdescription.h.

                                                                                    { //krazy:exclude=inline
                return !operator==(otherDescription);
            }

QString name | ( |  | ) | const `[inline]`

Search for all occurrences

Returns the name of the capture source.

Returns:
  A string that should be presented to the user to choose the capture source.

Definition at line 213 of file objectdescription.h.

    { return d->name(); } //krazy:exclude=inline

QString description | ( |  | ) | const `[inline]`

Search for all occurrences

Returns a description of the capture source.

This text should make clear what sound source this is, which is sometimes hard to describe or understand from just the name.

Returns:
  A string describing the capture source.

Definition at line 222 of file objectdescription.h.

    { return d->description(); } //krazy:exclude=inline

QVariant property | ( | const char * | name | ) | const `[inline]`

Search for all occurrences

Returns a named property.

If the property is not set an invalid value is returned.

See also:
  propertyNames()

Definition at line 231 of file objectdescription.h.

    { return d->property(name); } //krazy:exclude=inline

QList<QByteArray> propertyNames | ( |  | ) | const `[inline]`

Search for all occurrences

Returns all names that return valid data when property() is called.

See also:
  property()

Definition at line 238 of file objectdescription.h.

    { return d->propertyNames(); } //krazy:exclude=inline

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Returns `true` if the Tuple is valid (index != -1); otherwise returns `false`.

Definition at line 244 of file objectdescription.h.

    { return d->isValid(); } //krazy:exclude=inline

int index | ( |  | ) | const `[inline]`

Search for all occurrences

A unique identifier for this device/.

Used internally to distinguish between the devices/.

Returns:
  An integer that uniquely identifies every device/

Definition at line 252 of file objectdescription.h.

    { return d->index(); } //krazy:exclude=inline

## Friends And Related Function Documentation

friend class ObjectDescriptionModel< T > `[friend]`

Search for all occurrences

Definition at line 258 of file objectdescription.h.

## Member Data Documentation

QExplicitlySharedDataPointer<ObjectDescriptionData> d `[protected]`

Search for all occurrences

Definition at line 260 of file objectdescription.h.

The documentation for this class was generated from the following file:

- phonon/objectdescription.h